name: mappr_edit
cmd:
  - start: |
      rosenv
      stdbuf -oL -eL roslaunch mappr_server_kbase mappr_server_kbase.launch kbase_config_path:=${PATH_TO_KBASE_CONFIG}
  - check: |
      source ${prefix}/setup.bash
      rosnode list | grep -e /knowledge_base$ & rosnode list | grep -e /mappr_server_kbase$
tags:
  - kbase
requires:
  - mongod
noauto: true
host: ${basepc}

#original vdemo definition
#"roslaunch, $basepc, -v PACKAGE=mappr_server_kbase -v LAUNCHFILE=mappr_server_kbase.launch -t edit_kbase -v ARGS=\"kbase_config_path\:=\${PATH_TO_KBASE_CONFIG}\" -l -n -g KBASE -L 9:"
